<!DOCTYPE html>
<html xmlns:h="http://xmlns.jcp.org/jsf/html"
>

<h:head>
    <title>Detail</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <h:outputStylesheet library="css" name="main.css"/>
    <h:outputStylesheet library="css" name="jquery-ui.css"/>
    <h:outputScript library="js" name="jquery-3.6.0.min.js"/>
    <h:outputScript library="js" name="main.js"/>
</h:head>

<h:body>
    <h:form id="jsfForm1">
        <!-- Username: <h:inputText value="#{userControl.showUserById(request.getParameter('id')).login}"></h:inputText>
        Password : <h:inputSecret value="#{userControl.}"></h:inputSecret>
        Admin ? : <h:selectBooleanCheckbox value="isAdmin"></h:selectBooleanCheckbox>
        <h1>Role: #{userControl.showUserById(param['id']).role}</h1>
        <h:commandButton value="Update" action="#{publicationControl.updatePublication()}"/> -->

        Username: <h:inputText value="#{userControl.login}"></h:inputText>
        Password : <h:inputSecret
            value="#{userControl.password}"></h:inputSecret>
        Admin ? : <h:selectBooleanCheckbox onclick="showCheckedValue()"
                                           value="#{userControl.userAdmin}"
                                           id="chkIsAdmin"></h:selectBooleanCheckbox>

        <h:commandButton value="Update" action="#{userControl.updateUser(userControl.id, userControl.adminConnected)}"/>
    </h:form>


    <script type="text/javascript">
        function showCheckedValue() {
            if (document.getElementById('jsfForm1:chkIsAdmin').checked) {
                //#{userControl.createNewAdmin()}
            }
        }
    </script>

</h:body>

</html>
